Index: /branches/version-2_12-dev/html/user_data/packages/sphone/js/jquery.flickslide.js
===================================================================
--- /branches/version-2_12-dev/html/user_data/packages/sphone/js/jquery.flickslide.js	(revision 21748)
+++ /branches/version-2_12-dev/html/user_data/packages/sphone/js/jquery.flickslide.js	(revision 21992)
@@ -69,5 +69,5 @@
                                                 .width.replace('px',''))*-1;
 
-                                    $('div.flickSlideContainer ul.move').get(0).style.webkitTransform = 'translate3d(0,0,0)';
+                                    $('div.flickSlideContainer ul.move').get(0).style.webkitTransform = 'translate(0,0)';
                                 }
                                 currentX=0;
@@ -80,5 +80,5 @@
          }
          function lotation(){
-             //if(slideLock===0){var slideUnitWidth=slideObj.children('li.slideUnit').outerWidth();slideObj.get(0).style.webkitTransition='-webkit-transform 0.6s ease-out';diffX=-151;if(currentX===maxX){slideObj.get(0).style.webkitTransform='translate3d(0, 0, 0)';currentX=0;slideCount=0;slidePager();}else{currentX=currentX-slideUnitWidth;slideObj.get(0).style.webkitTransform='translate3d('+currentX+'px, 0, 0)';slideCount++;slidePager();}}
+             //if(slideLock===0){var slideUnitWidth=slideObj.children('li.slideUnit').outerWidth();slideObj.get(0).style.webkitTransition='-webkit-transform 0.6s ease-out';diffX=-151;if(currentX===maxX){slideObj.get(0).style.webkitTransform='translate(0, 0)';currentX=0;slideCount=0;slidePager();}else{currentX=currentX-slideUnitWidth;slideObj.get(0).style.webkitTransform='translate('+currentX+'px, 0)';slideCount++;slidePager();}}
              //slideLock=0;slideTimer=setTimeout(lotation,slideDuration);
          }
@@ -119,10 +119,10 @@
                             if(settings.direction==='prev'){
                                 if(currentX==0){
-                                    slideObj.get(0).style.webkitTransform='translate3d(0, 0, 0)';
+                                    slideObj.get(0).style.webkitTransform='translate(0, 0)';
                                     slideTimer=setTimeout(lotation,slideDuration);
                                     slideLock=0;
                                 }else{
                                     currentX = currentX+slideUnitWidth;
-                                    slideObj.get(0).style.webkitTransform = 'translate3d('+currentX+'px, 0, 0)';
+                                    slideObj.get(0).style.webkitTransform = 'translate('+currentX+'px, 0)';
                                     slideCount--;
                                     slidePager();
@@ -132,10 +132,10 @@
                             }else if(settings.direction==='next'){
                                 if(currentX===maxX){
-                                    slideObj.get(0).style.webkitTransform='translate3d('+maxX+'px, 0, 0)';
+                                    slideObj.get(0).style.webkitTransform='translate('+maxX+'px, 0)';
                                     slideTimer=setTimeout(lotation,slideDuration);
                                     slideLock=0;
                                 }else{
                                     currentX=currentX-slideUnitWidth;
-                                    slideObj.get(0).style.webkitTransform='translate3d('+currentX+'px, 0, 0)';
+                                    slideObj.get(0).style.webkitTransform='translate('+currentX+'px, 0)';
                                     slideCount++;
                                     slidePager();
@@ -174,5 +174,5 @@
                          moveX=Number(currentX+diffX);
                          slideObj.css('-webkit-transition','none');
-                         slideObj.get(0).style.webkitTransform='translate3d( '+moveX+'px, 0, 0)';
+                         slideObj.get(0).style.webkitTransform='translate( '+moveX+'px, 0)';
                      }
                  }else if(e.type=="touchend"){
@@ -186,8 +186,8 @@
                      if(diffX>settings.targetWidth||(diffX>60&&diffTime<400&&orientationChangeDelay===0)){
                          if(currentX==0){
-                             slideObj.get(0).style.webkitTransform='translate3d(0, 0, 0)';
+                             slideObj.get(0).style.webkitTransform='translate(0, 0)';
                          }else{
                              currentX=currentX+slideUnitWidth;
-                             slideObj.get(0).style.webkitTransform='translate3d('+currentX+'px, 0, 0)';
+                             slideObj.get(0).style.webkitTransform='translate('+currentX+'px, 0)';
                              slideCount--;
                              slidePager();
@@ -195,17 +195,17 @@
                      }else if(diffX<(settings.targetWidth*-1)||(diffX<-60&&diffTime<400&&orientationChangeDelay===0)){
                          if(currentX===maxX){
-                             slideObj.get(0).style.webkitTransform='translate3d('+maxX+'px, 0, 0)';
+                             slideObj.get(0).style.webkitTransform='translate('+maxX+'px, 0)';
                          }else{
                              currentX=currentX-slideUnitWidth;
-                             slideObj.get(0).style.webkitTransform='translate3d('+currentX+'px, 0, 0)';
+                             slideObj.get(0).style.webkitTransform='translate('+currentX+'px, 0)';
                              slideCount++;slidePager();
                          }
                      }else{
                          if(currentX===0){
-                             slideObj.get(0).style.webkitTransform='translate3d(0, 0, 0)';
+                             slideObj.get(0).style.webkitTransform='translate(0, 0)';
                          }else if(currentX===maxX){
-                             slideObj.get(0).style.webkitTransform='translate3d('+maxX+'px, 0, 0)';
+                             slideObj.get(0).style.webkitTransform='translate('+maxX+'px, 0)';
                          }else{
-                             slideObj.get(0).style.webkitTransform='translate3d('+currentX+'px, 0, 0)';
+                             slideObj.get(0).style.webkitTransform='translate('+currentX+'px, 0)';
                          }
                      }
Index: /branches/version-2_12-dev/html/user_data/packages/sphone/css/products.css
===================================================================
--- /branches/version-2_12-dev/html/user_data/packages/sphone/css/products.css	(revision 21619)
+++ /branches/version-2_12-dev/html/user_data/packages/sphone/css/products.css	(revision 21992)
@@ -352,5 +352,5 @@
     width: 2000px;
     -webkit-transition: all 0.6s ease-in-out;
-    -webkit-transform: translate3d(0,0,0);
+    -webkit-transform: translate(0,0);
     -webkit-transition-duration: 400ms;
     -webkit-transition-property: -webkit-transform;
@@ -512,5 +512,5 @@
     list-style: none;
     -webkit-transition: all 0.6s ease-in-out;
-    -webkit-transform: translate3d(0,0,0);
+    -webkit-transform: translate(0,0);
     /*-webkit-transition-duration: 400ms;
     -webkit-transition-property: -webkit-transform;
Index: /branches/version-2_12-dev/html/user_data/packages/sphone/css/block.css
===================================================================
--- /branches/version-2_12-dev/html/user_data/packages/sphone/css/block.css	(revision 21619)
+++ /branches/version-2_12-dev/html/user_data/packages/sphone/css/block.css	(revision 21992)
@@ -117,5 +117,5 @@
     list-style: none;
     -webkit-transition: all 0.6s ease-in-out;
-    -webkit-transform: translate3d(0,0,0);
+    -webkit-transform: translate(0,0);
     margin: 0;
     padding: 0;