Index: /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php	(revision 21867)
+++ /branches/version-2_12-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis_Seo.php	(revision 22012)
@@ -144,22 +144,18 @@
     function lfUpdPageData($arrUpdData = array()) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $sql = '';
-
-        // SQL生成
-        $sql .= ' UPDATE ';
-        $sql .= '     dtb_pagelayout ';
-        $sql .= ' SET ';
-        $sql .= '     author = ? , ';
-        $sql .= '     description = ? , ';
-        $sql .= '     keyword = ? ';
-        $sql .= ' WHERE ';
-        $sql .= '     device_type_id = ? ';
-        $sql .= '     AND page_id = ? ';
-        $sql .= ' ';
-
-        // SQL実行
-        $ret = $objQuery->query($sql, $arrUpdData);
-
-        return $ret;
+
+        $table = 'dtb_pagelayout';
+        $sqlval = array(
+            'author'        => $arrUpdData[0],
+            'description'   => $arrUpdData[1],
+            'keyword'       => $arrUpdData[2],
+        );
+        $where = 'device_type_id = ? AND page_id = ?';
+        $arrWhereVal = array(
+            $arrUpdData[3],
+            $arrUpdData[4],
+        );
+
+        return $objQuery->update($table, $sqlval, $where, $arrWhereVal);
     }
 
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 21867)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_UploadCSVCategory.php	(revision 22012)
@@ -528,6 +528,9 @@
             $rank = $objQuery->get('rank', 'dtb_category', $where, array($parent_category_id));
             // 追加レコードのランク以上のレコードを一つあげる。
-            $sqlup = 'UPDATE dtb_category SET rank = (rank + 1) WHERE rank >= ?';
-            $objQuery->exec($sqlup, array($rank));
+            $where = 'rank >= ?';
+            $arrRawSql = array(
+                'rank' => '(rank + 1)',
+            );
+            $objQuery->update('dtb_category', array(), $where, array($rank), $arrRawSql);
         }
 
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 21867)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 22012)
@@ -469,6 +469,9 @@
             $rank = $objQuery->get('rank', 'dtb_category', $where, array($parent_category_id));
             // 追加レコードのランク以上のレコードを一つあげる。
-            $sqlup = 'UPDATE dtb_category SET rank = (rank + 1) WHERE rank >= ?';
-            $objQuery->exec($sqlup, array($rank));
+            $where = 'rank >= ?';
+            $arrRawSql = array(
+                'rank' => '(rank + 1)',
+            );
+            $objQuery->update('dtb_category', array(), $where, array($rank), $arrRawSql);
         }
 
@@ -564,8 +567,9 @@
         $arrRet = $objDb->sfGetChildrenArray($table, $pid_name, $id_name, $id);
         $line = SC_Utils_Ex::sfGetCommaList($arrRet);
-        $sql = "UPDATE $table SET rank = (rank + $count) WHERE $id_name IN ($line) ";
-        $sql.= 'AND del_flg = 0';
-        $ret = $objQuery->exec($sql);
-        return $ret;
+        $where = "$id_name IN ($line) AND del_flg = 0";
+        $arrRawVal = array(
+            'rank' => "(rank + $count)",
+        );
+        return $objQuery->update($table, array(), $where, array(), $arrRawVal);
     }
 
@@ -575,8 +579,9 @@
         $arrRet = $objDb->sfGetChildrenArray($table, $pid_name, $id_name, $id);
         $line = SC_Utils_Ex::sfGetCommaList($arrRet);
-        $sql = "UPDATE $table SET rank = (rank - $count) WHERE $id_name IN ($line) ";
-        $sql.= 'AND del_flg = 0';
-        $ret = $objQuery->exec($sql);
-        return $ret;
+        $where = "$id_name IN ($line) AND del_flg = 0";
+        $arrRawVal = array(
+            'rank' => "(rank - $count)",
+        );
+        return $objQuery->update($table, array(), $where, array(), $arrRawVal);
     }
 }
Index: /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php	(revision 21927)
+++ /branches/version-2_12-dev/data/class/helper/SC_Helper_DB.php	(revision 22012)
@@ -985,11 +985,22 @@
             $uprank = $rank + 1;
             $up_id = $objQuery->get($colname, $table, $where, array($uprank));
+
             // ランク入れ替えの実行
-            $sqlup = "UPDATE $table SET rank = ? WHERE $colname = ?";
+            $where = "$colname = ?";
             if ($andwhere != '') {
-                $sqlup.= " AND $andwhere";
-            }
-            $objQuery->exec($sqlup, array($rank + 1, $id));
-            $objQuery->exec($sqlup, array($rank, $up_id));
+                $where .= " AND $andwhere";
+            }
+
+            $sqlval = array(
+                'rank' => $rank + 1,
+            );
+            $arrWhereVal = array($id);
+            $objQuery->update($table, $sqlval, $where, $arrWhereVal);
+
+            $sqlval = array(
+                'rank' => $rank,
+            );
+            $arrWhereVal = array($up_id);
+            $objQuery->update($table, $sqlval, $where, $arrWhereVal);
         }
         $objQuery->commit();
@@ -1024,11 +1035,22 @@
             $downrank = $rank - 1;
             $down_id = $objQuery->get($colname, $table, $where, array($downrank));
+
             // ランク入れ替えの実行
-            $sqlup = "UPDATE $table SET rank = ? WHERE $colname = ?";
+            $where = "$colname = ?";
             if ($andwhere != '') {
-                $sqlup.= " AND $andwhere";
-            }
-            $objQuery->exec($sqlup, array($rank - 1, $id));
-            $objQuery->exec($sqlup, array($rank, $down_id));
+                $where .= " AND $andwhere";
+            }
+
+            $sqlval = array(
+                'rank' => $rank - 1,
+            );
+            $arrWhereVal = array($id);
+            $objQuery->update($table, $sqlval, $where, $arrWhereVal);
+
+            $sqlval = array(
+                'rank' => $rank,
+            );
+            $arrWhereVal = array($down_id);
+            $objQuery->update($table, $sqlval, $where, $arrWhereVal);
         }
         $objQuery->commit();
@@ -1078,19 +1100,33 @@
 
         // 指定した順位の商品から移動させる商品までのrankを１つずらす
-        $sql = "UPDATE $tableName SET rank = $term WHERE rank BETWEEN ? AND ?";
+        $sqlval = array();
+        $arrRawSql = array(
+            'rank' => $term,
+        );
+        $str_where = 'rank BETWEEN ? AND ?';
         if ($where != '') {
-            $sql.= " AND $where";
-        }
-
-        if ($position > $rank) $objQuery->exec($sql, array($rank + 1, $position));
-        if ($position < $rank) $objQuery->exec($sql, array($position, $rank - 1));
+            $str_where .= " AND $where";
+        }
+
+        if ($position > $rank) {
+            $arrWhereVal = array($rank + 1, $position);
+            $objQuery->update($tableName, $sqlval, $str_where, $arrWhereVal, $arrRawSql);
+        }
+        if ($position < $rank) {
+            $arrWhereVal = array($position, $rank - 1);
+            $objQuery->update($tableName, $sqlval, $str_where, $arrWhereVal, $arrRawSql);
+        }
 
         // 指定した順位へrankを書き換える。
-        $sql  = "UPDATE $tableName SET rank = ? WHERE $keyIdColumn = ? ";
+        $sqlval = array(
+            'rank' => $position,
+        );
+        $str_where = "$keyIdColumn = ?";
         if ($where != '') {
-            $sql.= " AND $where";
-        }
-
-        $objQuery->exec($sql, array($position, $keyId));
+            $str_where .= " AND $where";
+        }
+        $arrWhereVal = array($keyId);
+        $objQuery->update($tableName, $sqlval, $str_where, $arrWhereVal);
+
         $objQuery->commit();
     }
@@ -1122,8 +1158,11 @@
         if (!$delete) {
             // ランクを最下位にする、DELフラグON
-            $sqlup = "UPDATE $table SET rank = 0, del_flg = 1 ";
-            $sqlup.= "WHERE $colname = ?";
-            // UPDATEの実行
-            $objQuery->exec($sqlup, array($id));
+            $sqlval = array(
+                'rank'      => 0,
+                'del_flg'   => 1,
+            );
+            $where = "$colname = ?";
+            $arrWhereVal = array($id);
+            $objQuery->update($table, $sqlval, $where, $arrWhereVal);
         } else {
             $objQuery->delete($table, "$colname = ?", array($id));
@@ -1131,10 +1170,15 @@
 
         // 追加レコードのランクより上のレコードを一つずらす。
+        $sqlval = array();
         $where = 'rank > ?';
         if ($andwhere != '') {
-            $where.= " AND $andwhere";
-        }
-        $sqlup = "UPDATE $table SET rank = (rank - 1) WHERE $where";
-        $objQuery->exec($sqlup, array($rank));
+            $where .= " AND $andwhere";
+        }
+        $arrWhereVal = array($rank);
+        $arrRawSql = array(
+            'rank' => '(rank - 1)',
+        );
+        $objQuery->update($table, $sqlval, $where, $arrWhereVal, $arrRawSql);
+
         $objQuery->commit();
     }
@@ -1170,4 +1214,6 @@
     /**
      * カテゴリ変更時の移動処理を行う.
+     * 
+     * ※この関数って、どこからも呼ばれていないのでは？？
      *
      * @param SC_Query $objQuery SC_Query インスタンス
@@ -1186,16 +1232,24 @@
         // 旧カテゴリでのランク削除処理
         // 移動レコードのランクを取得する。
+        $sqlval = array();
         $where = "$id_name = ?";
         $rank = $objQuery->get('rank', $table, $where, array($id));
         // 削除レコードのランクより上のレコードを一つ下にずらす。
         $where = "rank > ? AND $cat_name = ?";
-        $sqlup = "UPDATE $table SET rank = (rank - 1) WHERE $where";
-        $objQuery->exec($sqlup, array($rank, $old_catid));
+        $arrWhereVal = array($rank, $old_catid);
+        $arrRawSql = array(
+            'rank' => '(rank - 1)',
+        );
+        $objQuery->update($table, $sqlval, $where, $arrWhereVal, $arrRawSql);
+
         // 新カテゴリでの登録処理
         // 新カテゴリの最大ランクを取得する。
         $max_rank = $objQuery->max('rank', $table, "$cat_name = ?", array($new_catid)) + 1;
+        $sqlval = array(
+            'rank' => $max_rank,
+        );
         $where = "$id_name = ?";
-        $sqlup = "UPDATE $table SET rank = ? WHERE $where";
-        $objQuery->exec($sqlup, array($max_rank, $id));
+        $arrWhereVal = array($id);
+        $objQuery->update($table, $sqlval, $where, $arrWhereVal);
     }
 