Index: /branches/version-2_12-dev/data/Smarty/templates/default/mypage/change_confirm.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/mypage/change_confirm.tpl	(revision 21867)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/mypage/change_confirm.tpl	(revision 22027)
@@ -44,21 +44,21 @@
             <col width="70%" />
             <tr>
-                <th>お名前<span class="attention">※</span></th>
+                <th>お名前</th>
                 <td><!--{$arrForm.name01|h}-->　<!--{$arrForm.name02|h}--></td>
             </tr>
             <tr>
-                <th>お名前(フリガナ)<span class="attention">※</span></th>
+                <th>お名前(フリガナ)</th>
                 <td><!--{$arrForm.kana01|h}-->　<!--{$arrForm.kana02|h}--></td>
             </tr>
             <tr>
-                <th>郵便番号<span class="attention">※</span></th>
+                <th>郵便番号</th>
                 <td><!--{$arrForm.zip01}-->-<!--{$arrForm.zip02}--></td>
             </tr>
             <tr>
-                <th>住所<span class="attention">※</span></th>
+                <th>住所</th>
                 <td><!--{$arrPref[$arrForm.pref]}--><!--{$arrForm.addr01|h}--><!--{$arrForm.addr02|h}--></td>
             </tr>
             <tr>
-                <th>電話番号<span class="attention">※</span></th>
+                <th>電話番号</th>
                 <td><!--{$arrForm.tel01|h}-->-<!--{$arrForm.tel02}-->-<!--{$arrForm.tel03}--></td>
             </tr>
@@ -68,5 +68,5 @@
             </tr>
             <tr>
-                <th>メールアドレス<span class="attention">※</span></th>
+                <th>メールアドレス</th>
                 <td><a href="<!--{$arrForm.email|escape:'hex'}-->"><!--{$arrForm.email|escape:'hexentity'}--></a></td>
             </tr>
@@ -82,5 +82,5 @@
             </tr>
             <tr>
-                <th>性別<span class="attention">※</span></th>
+                <th>性別</th>
                 <td><!--{$arrSex[$arrForm.sex]}--></td>
             </tr>
@@ -94,15 +94,15 @@
             </tr>
             <tr>
-                <th>希望するパスワード<span class="attention">※</span><br />
+                <th>希望するパスワード<br />
                 </th>
                 <td><!--{$passlen}--></td>
             </tr>
             <tr>
-                <th>パスワードを忘れた時のヒント<span class="attention">※</span></th>
+                <th>パスワードを忘れた時のヒント</th>
                 <td>質問：&nbsp;<!--{$arrReminder[$arrForm.reminder]|h}--><br />
                         答え：&nbsp;<!--{$arrForm.reminder_answer|h}--></td>
             </tr>
             <tr>
-                <th>メールマガジン送付について<span class="attention">※</span></th>
+                <th>メールマガジン送付について</th>
                 <td><!--{$arrMAILMAGATYPE[$arrForm.mailmaga_flg]}--></td>
             </tr>
Index: /branches/version-2_12-dev/data/Smarty/templates/default/entry/confirm.tpl
===================================================================
--- /branches/version-2_12-dev/data/Smarty/templates/default/entry/confirm.tpl	(revision 21867)
+++ /branches/version-2_12-dev/data/Smarty/templates/default/entry/confirm.tpl	(revision 22027)
@@ -37,5 +37,5 @@
             <col width="70%" />
             <tr>
-                <th>お名前<span class="attention">※</span></th>
+                <th>お名前</th>
                 <td>
                     <!--{$arrForm.name01|h}-->&nbsp;
@@ -44,5 +44,5 @@
             </tr>
             <tr>
-                <th>お名前(フリガナ)<span class="attention">※</span></th>
+                <th>お名前(フリガナ)</th>
                 <td>
                     <!--{$arrForm.kana01|h}-->&nbsp;
@@ -51,5 +51,5 @@
             </tr>
             <tr>
-                <th>郵便番号<span class="attention">※</span></th>
+                <th>郵便番号</th>
                 <td>
                     〒<!--{$arrForm.zip01|h}--> - <!--{$arrForm.zip02|h}-->
@@ -57,5 +57,5 @@
             </tr>
             <tr>
-                <th>住所<span class="attention">※</span></th>
+                <th>住所</th>
                 <td>
                     <!--{$arrPref[$arrForm.pref]|h}--><!--{$arrForm.addr01|h}--><!--{$arrForm.addr02|h}-->
@@ -63,5 +63,5 @@
             </tr>
             <tr>
-                <th>電話番号<span class="attention">※</span></th>
+                <th>電話番号</th>
                 <td>
                     <!--{$arrForm.tel01|h}--> - <!--{$arrForm.tel02|h}--> - <!--{$arrForm.tel03|h}-->
@@ -79,5 +79,5 @@
             </tr>
             <tr>
-                <th>メールアドレス<span class="attention">※</span></th>
+                <th>メールアドレス</th>
                 <td>
                     <a href="mailto:<!--{$arrForm.email|escape:'hex'}-->"><!--{$arrForm.email|escape:'hexentity'}--></a>
@@ -85,5 +85,5 @@
             </tr>
             <tr>
-                <th>性別<span class="attention">※</span></th>
+                <th>性別</th>
                 <td>
                     <!--{if $arrForm.sex eq 1}-->
@@ -109,10 +109,10 @@
             </tr>
             <tr>
-                <th>希望するパスワード<span class="attention">※</span><br />
+                <th>希望するパスワード<br />
                 </th>
                 <td><!--{$passlen}--></td>
             </tr>
             <tr>
-                <th>パスワードを忘れた時のヒント<span class="attention">※</span></th>
+                <th>パスワードを忘れた時のヒント</th>
                 <td>
                     質問：<!--{$arrReminder[$arrForm.reminder]|h}--><br />
@@ -121,5 +121,5 @@
             </tr>
             <tr>
-                <th>メールマガジン送付について<span class="attention">※</span></th>
+                <th>メールマガジン送付について</th>
                 <td>
                     <!--{if $arrForm.mailmaga_flg eq 1}-->