Index: /branches/version-2_12-multilang/data/locales/ja.po
===================================================================
--- /branches/version-2_12-multilang/data/locales/ja.po	(revision 22007)
+++ /branches/version-2_12-multilang/data/locales/ja.po	(revision 22030)
@@ -3,6 +3,6 @@
 "Project-Id-Version: EC-CUBE Core\n"
 "POT-Creation-Date: 2012-05-07 13T_39+0900\n"
-"PO-Revision-Date: 2012-08-27 16:27+0900\n"
-"Last-Translator: PineRay <matsuda@cyber-will.co.jp>\n"
+"PO-Revision-Date: 2012-09-13 09:20+0900\n"
+"Last-Translator: MATSUDA Terutaka <matsudaterutaka@gmail.com>\n"
 "Language-Team: \n"
 "MIME-Version: 1.0\n"
@@ -208,2 +208,80 @@
 msgstr "※「T_PRODUCT」は売り切れました。"
 
+msgid "SC_FPDF_LABEL_PRODUCT_NAME"
+msgstr "商品名 / 商品コード / [ 規格 ]"
+
+msgid "SC_FPDF_LABEL_PRODUCT_QTY"
+msgstr "数量"
+
+msgid "SC_FPDF_LABEL_PRODUCT_PRICE"
+msgstr "単価"
+
+msgid "SC_FPDF_LABEL_PRODUCT_SUBTOTAL"
+msgstr "金額(税込)"
+
+msgid "SC_FPDF_LABEL_PRODUCT_TOTAL"
+msgstr "商品合計"
+
+msgid "SC_FPDF_LABEL_DELIV_FEE"
+msgstr "送料"
+
+msgid "SC_FPDF_LABEL_CHARGE"
+msgstr "手数料"
+
+msgid "SC_FPDF_LABEL_DISCOUNT"
+msgstr "値引き"
+
+msgid "SC_FPDF_LABEL_PAYMENT_TOTAL"
+msgstr "請求金額"
+
+msgid "SC_FPDF_LABEL_USE_POINT"
+msgstr "利用ポイント"
+
+msgid "SC_FPDF_LABEL_ADD_POINT"
+msgstr "加算ポイント"
+
+msgid "SC_FPDF_LABEL_ETC"
+msgstr "＜ 備 考 ＞"
+
+msgid "SC_FPDF_LABEL_PAYMENT_TYPE"
+msgstr "お支払い"
+
+msgid "SC_FPDF_MESSAGE_1"
+msgstr "このたびはお買上げいただきありがとうございます。"
+
+msgid "SC_FPDF_MESSAGE_2"
+msgstr "下記の内容にて納品させていただきます。"
+
+msgid "SC_FPDF_MESSAGE_3"
+msgstr "ご確認くださいますよう、お願いいたします。"
+
+msgid "SC_FPDF_CREATED_DATE"
+msgstr "作成日: T_YEAR年T_MONTH月T_DAY日"
+
+msgid "SC_FPDF_PRICE_FORMAT"
+msgstr "T_PRICE T_UNIT"
+
+msgid "SC_FPDF_MONETARY_UNIT"
+msgstr "円"
+
+msgid "SC_FPDF_POINT_UNIT"
+msgstr "Pt"
+
+msgid "SC_IMAGE_ERROR_COPY_FAILED"
+msgstr "ファイルのコピーに失敗しました。"
+
+msgid "SC_IMAGE_ERROR_COPY_FAILED_PATH"
+msgstr "T_FROM->T_TOのcopyに失敗しました。"
+
+msgid "SC_IMAGE_ERROR_NOT_APPOINTED"
+msgstr "出力元画像パス、または出力先フォルダが指定されていません。"
+
+msgid "SC_IMAGE_ERROR_NOT_FOUND"
+msgstr "出力元画像が見つかりません。"
+
+msgid "SC_IMAGE_ERROR_NOT_SUPPORTED"
+msgstr "画像形式がサポートされていません。"
+
+msgid "SC_IMAGE_ERROR_OUTPUT_FAILED"
+msgstr "画像の出力に失敗しました。"
+
Index: /branches/version-2_12-multilang/data/class/SC_Image.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_Image.php	(revision 21926)
+++ /branches/version-2_12-multilang/data/class/SC_Image.php	(revision 22030)
@@ -53,5 +53,9 @@
             }
         } else {
-            GC_Utils_Ex::gfDebugLog($from_path.'->'.$to_path.'のcopyに失敗しました。');
+            $tokens = array(
+                'T_FROM' => $from_path,
+                'T_TO' => $to_path
+            );
+            GC_Utils_Ex::gfDebugLog(SC_I18n_Ex::t('SC_IMAGE_ERROR_COPY_FAILED_PATH', $tokens));
         }
     }
@@ -95,9 +99,9 @@
 
         if (empty($FromImgPath) || empty($ToImgPath)) {
-            return array(0,'出力元画像パス、または出力先フォルダが指定されていません。');
+            return array(0,  SC_I18n_Ex::t('SC_IMAGE_ERROR_NOT_APPOINTED'));
         }
 
         if (!file_exists($FromImgPath)) {
-            return array(0,'出力元画像が見つかりません。');
+            return array(0,  SC_I18n_Ex::t('SC_IMAGE_ERROR_NOT_FOUND'));
         }
 
@@ -107,5 +111,5 @@
         // 画像の種類が不明 or swf
         if (!$size[2] || $size[2] > 3) {
-            return array(0,'画像形式がサポートされていません。');
+            return array(0,  SC_I18n_Ex::t('SC_IMAGE_ERROR_NOT_SUPPORTED'));
         }
 
@@ -152,5 +156,5 @@
                     }
                     if (!@copy($FromImgPath , $ToImgPath.$ToFile)) { // エラー処理
-                        return array(0,'ファイルのコピーに失敗しました。');
+                        return array(0,  SC_I18n_Ex::t('SC_IMAGE_ERROR_COPY_FAILED'));
                     }
                     ImageDestroy($ImgNew);
@@ -175,5 +179,5 @@
                 // 画像が作成されていない場合
                 if (!@file_exists($TmpPath)) {
-                    return array(0,'画像の出力に失敗しました。');
+                    return array(0,  SC_I18n_Ex::t('SC_IMAGE_ERROR_OUTPUT_FAILED'));
                 }
                 ImageDestroy($ImgNew);
@@ -202,5 +206,5 @@
                 // 画像が作成されていない場合
                 if (!@file_exists($TmpPath)) {
-                    return array(0,"画像の出力に失敗しました。<br>${ImgNew}<br>${TmpPath}");
+                    return array(0,  SC_I18n_Ex::t('SC_IMAGE_ERROR_OUTPUT_FAILED')."<br>${ImgNew}<br>${TmpPath}");
                 }
                 $RetVal = $ToFile;
@@ -223,5 +227,5 @@
                 // 画像が作成されていない場合
                 if (!@file_exists($TmpPath)) {
-                    return array(0,'画像の出力に失敗しました。');
+                    return array(0,  SC_I18n_Ex::t('SC_IMAGE_ERROR_OUTPUT_FAILED'));
                 }
                 $RetVal = $ToFile;
Index: /branches/version-2_12-multilang/data/class/SC_Fpdf.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_Fpdf.php	(revision 21926)
+++ /branches/version-2_12-multilang/data/class/SC_Fpdf.php	(revision 22030)
@@ -42,13 +42,13 @@
         $this->width_cell = array(110.3,12,21.7,24.5);
 
-        $this->label_cell[] = '商品名 / 商品コード / [ 規格 ]';
-        $this->label_cell[] = '数量';
-        $this->label_cell[] = '単価';
-        $this->label_cell[] = '金額(税込)';
+        $this->label_cell[] = SC_I18n_Ex::t('SC_FPDF_LABEL_PRODUCT_NAME');
+        $this->label_cell[] = SC_I18n_Ex::t('SC_FPDF_LABEL_PRODUCT_QTY');
+        $this->label_cell[] = SC_I18n_Ex::t('SC_FPDF_LABEL_PRODUCT_PRICE');
+        $this->label_cell[] = SC_I18n_Ex::t('SC_FPDF_LABEL_PRODUCT_SUBTOTAL');
 
         $this->arrMessage = array(
-            'このたびはお買上げいただきありがとうございます。',
-            '下記の内容にて納品させていただきます。',
-            'ご確認くださいますよう、お願いいたします。'
+            SC_I18n_Ex::t('SC_FPDF_MESSAGE_1'),
+            SC_I18n_Ex::t('SC_FPDF_MESSAGE_2'),
+            SC_I18n_Ex::t('SC_FPDF_MESSAGE_3')
         );
 
@@ -135,5 +135,10 @@
         $this->lfText(27, 74, $this->arrData['msg2'], 8);  //メッセージ2
         $this->lfText(27, 78, $this->arrData['msg3'], 8);  //メッセージ3
-        $text = '作成日: '.$this->arrData['year'].'年'.$this->arrData['month'].'月'.$this->arrData['day'].'日';
+        $tokens = array(
+            'T_YEAR' => $this->arrData['year'],
+            'T_MONTH' => $this->arrData['month'],
+            'T_DAY' => $this->arrData['day']
+        );
+        $text = SC_I18n_Ex::t('SC_FPDF_CREATED_DATE', $tokens);
         $this->lfText(158, 288, $text, 8);  //作成日
     }
@@ -163,11 +168,15 @@
         $this->Cell(5, 0, '', 0, 0, 'R', 0, '');
         $this->SetFont('SJIS', 'B', 15);
-        $this->Cell(67, 8, number_format($this->arrDisp['payment_total']).' 円', 0, 2, 'R', 0, '');
+        $tokens = array(
+            'T_PRICE' => number_format($this->arrDisp['payment_total']),
+            'T_UNIT' => SC_I18n_Ex::t('SC_FPDF_MONETARY_UNIT')
+        );
+        $this->Cell(67, 8, SC_I18n_Ex::t('SC_FPDF_PRICE_FORMAT', $tokens), 0, 2, 'R', 0, '');
         $this->Cell(0, 45, '', 0, 2, '', 0, '');
 
         $this->SetFont('SJIS', '', 8);
 
-        $monetary_unit = '円';
-        $point_unit = 'Pt';
+        $monetary_unit = SC_I18n_Ex::t('SC_FPDF_MONETARY_UNIT');
+        $point_unit = SC_I18n_Ex::t('SC_FPDF_POINT_UNIT');
 
         // 購入商品情報
@@ -207,5 +216,5 @@
         $arrOrder[$i][0] = '';
         $arrOrder[$i][1] = '';
-        $arrOrder[$i][2] = '商品合計';
+        $arrOrder[$i][2] = SC_I18n_Ex::t('SC_FPDF_LABEL_PRODUCT_TOTAL');
         $arrOrder[$i][3] = number_format($this->arrDisp['subtotal']).$monetary_unit;
 
@@ -213,5 +222,5 @@
         $arrOrder[$i][0] = '';
         $arrOrder[$i][1] = '';
-        $arrOrder[$i][2] = '送料';
+        $arrOrder[$i][2] = SC_I18n_Ex::t('SC_FPDF_LABEL_DELIV_FEE');
         $arrOrder[$i][3] = number_format($this->arrDisp['deliv_fee']).$monetary_unit;
 
@@ -219,5 +228,5 @@
         $arrOrder[$i][0] = '';
         $arrOrder[$i][1] = '';
-        $arrOrder[$i][2] = '手数料';
+        $arrOrder[$i][2] = SC_I18n_Ex::t('SC_FPDF_LABEL_CHARGE');
         $arrOrder[$i][3] = number_format($this->arrDisp['charge']).$monetary_unit;
 
@@ -225,5 +234,5 @@
         $arrOrder[$i][0] = '';
         $arrOrder[$i][1] = '';
-        $arrOrder[$i][2] = '値引き';
+        $arrOrder[$i][2] = SC_I18n_Ex::t('SC_FPDF_LABEL_DISCOUNT');
         $arrOrder[$i][3] = '- '.number_format(($this->arrDisp['use_point'] * POINT_VALUE) + $this->arrDisp['discount']).$monetary_unit;
 
@@ -231,5 +240,5 @@
         $arrOrder[$i][0] = '';
         $arrOrder[$i][1] = '';
-        $arrOrder[$i][2] = '請求金額';
+        $arrOrder[$i][2] = SC_I18n_Ex::t('SC_FPDF_LABEL_PAYMENT_TOTAL');
         $arrOrder[$i][3] = number_format($this->arrDisp['payment_total']).$monetary_unit;
 
@@ -245,5 +254,5 @@
             $arrOrder[$i][0] = '';
             $arrOrder[$i][1] = '';
-            $arrOrder[$i][2] = '利用ポイント';
+            $arrOrder[$i][2] = SC_I18n_Ex::t('SC_FPDF_LABEL_USE_POINT');
             $arrOrder[$i][3] = number_format($this->arrDisp['use_point']).$point_unit;
 
@@ -251,5 +260,5 @@
             $arrOrder[$i][0] = '';
             $arrOrder[$i][1] = '';
-            $arrOrder[$i][2] = '加算ポイント';
+            $arrOrder[$i][2] = SC_I18n_Ex::t('SC_FPDF_LABEL_ADD_POINT');
             $arrOrder[$i][3] = number_format($this->arrDisp['add_point']).$point_unit;
         }
@@ -261,5 +270,5 @@
         $this->Cell(0, 10, '', 0, 1, 'C', 0, '');
         $this->SetFont('Gothic', 'B', 9);
-        $this->MultiCell(0, 6, '＜ 備 考 ＞', 'T', 2, 'L', 0, '');  //備考
+        $this->MultiCell(0, 6, SC_I18n_Ex::t('SC_FPDF_LABEL_ETC'), 'T', 2, 'L', 0, '');  //備考
         $this->Ln();
         $this->SetFont('SJIS', '', 8);
@@ -318,5 +327,5 @@
                 $this->arrDisp['payment_info'] = unserialize($this->arrDisp['memo02']);
             }
-            $this->arrDisp['payment_type'] = 'お支払い';
+            $this->arrDisp['payment_type'] = SC_I18n_Ex::t('SC_FPDF_LABEL_PAYMENT_TYPE');
         }
     }