Index: /branches/version-2_12-multilang/data/class/SC_PageNavi.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_PageNavi.php	(revision 21867)
+++ /branches/version-2_12-multilang/data/class/SC_PageNavi.php	(revision 22031)
@@ -78,5 +78,7 @@
                 $urlParamThis = str_replace('#page#', $this->arrPagenavi['before'], $urlParam);
                 $urlParamThis = htmlentities($urlParamThis, ENT_QUOTES);
-                $before = "<a href=\"?$urlParamThis\" onclick=\"$func_name('{$this->arrPagenavi['before']}'); return false;\">&lt;&lt;前へ</a> ";
+                $before = "<a href=\"?$urlParamThis\" onclick=\"$func_name('{$this->arrPagenavi['before']}'); return false;\">";
+                $before .= SC_I18n_Ex::t('SC_PAGENAVI_BEFORE');
+                $before .= "</a> ";
             } else {
                 $this->arrPagenavi['before'] = $this->now_page;
@@ -87,5 +89,7 @@
                 $urlParamThis = str_replace('#page#', $this->arrPagenavi['next'], $urlParam);
                 $urlParamThis = htmlentities($urlParamThis, ENT_QUOTES);
-                $next = " <a href=\"?$urlParamThis\" onclick=\"$func_name('{$this->arrPagenavi['next']}'); return false;\">次へ&gt;&gt;</a>";
+                $next = " <a href=\"?$urlParamThis\" onclick=\"$func_name('{$this->arrPagenavi['next']}'); return false;\">";
+                $next .= SC_I18n_Ex::t('SC_PAGENAVI_NEXT');
+                $next .= "</a>";
             } else {
                 $this->arrPagenavi['next'] = $this->now_page;
Index: /branches/version-2_12-multilang/data/class/SC_SendMail.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_SendMail.php	(revision 21989)
+++ /branches/version-2_12-multilang/data/class/SC_SendMail.php	(revision 22031)
@@ -125,5 +125,5 @@
      */
     function setHost($host) {
-        trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
+        trigger_error(SC_I18n_Ex::t('SC_SENDMAIL_FORWARD_COMPATIBILITY'), E_USER_WARNING);
         $this->host = $host;
         $arrHost = array(
@@ -142,5 +142,5 @@
      */
     function setPort($port) {
-        trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
+        trigger_error(SC_I18n_Ex::t('SC_SENDMAIL_FORWARD_COMPATIBILITY'), E_USER_WARNING);
         $this->port = $port;
         $arrHost = array(
@@ -281,6 +281,6 @@
         if (PEAR::isError($result)) {
             // XXX Windows 環境では SJIS でメッセージを受け取るようなので変換する。
-            $msg = mb_convert_encoding($result->getMessage(), CHAR_CODE, 'auto');
-            $msg = 'メール送信に失敗しました。[' . $msg . ']';
+            $tokens = array('T_MESSAGE' => mb_convert_encoding($result->getMessage(), CHAR_CODE, 'auto'));
+            $msg = SC_I18n_Ex::t('SC_SENDMAIL_FAIL_TO_SEND', $tokens);
             trigger_error($msg, E_USER_WARNING);
             GC_Utils_Ex::gfDebugLog($header);
@@ -334,5 +334,5 @@
 
             default:
-                trigger_error('不明なバックエンド。[$backend = ' . var_export($backend, true) . ']', E_USER_ERROR);
+                trigger_error(SC_I18n_Ex::t('SC_SENDMAIL_UNKNOWN_BACKEND', array('T_BACKEND' => var_export($backend, true))), E_USER_ERROR);
                 exit;
         }
Index: /branches/version-2_12-multilang/data/class/SC_View.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_View.php	(revision 21926)
+++ /branches/version-2_12-multilang/data/class/SC_View.php	(revision 22031)
@@ -102,5 +102,5 @@
             $time_end = microtime(true);
             $time = $time_end - $this->time_start;
-            $res .= '処理時間: ' . sprintf('%.3f', $time) . '秒';
+            $res .= SC_I18n_Ex::t('SC_VIEW_RESPONSE_TIME', array('T_TIME' => sprintf('%.3f', $time)));
         }
         return $res;
@@ -170,5 +170,5 @@
             $time_end = microtime(true);
             $time = $time_end - $this->time_start;
-            echo '処理時間: ' . sprintf('%.3f', $time) . '秒';
+            echo SC_I18n_Ex::t('SC_VIEW_RESPONSE_TIME', array('T_TIME' => sprintf('%.3f', $time)));
         }
     }
Index: /branches/version-2_12-multilang/data/class/SC_Initial.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_Initial.php	(revision 21989)
+++ /branches/version-2_12-multilang/data/class/SC_Initial.php	(revision 22031)
@@ -183,8 +183,5 @@
     function defineParameter() {
 
-        $errorMessage
-            = '<div style="color: #F00; font-weight: bold; background-color: #FEB; text-align: center">'
-            . CACHE_REALDIR
-            . ' にユーザ書込み権限(777等)を付与して下さい。</div>';
+        $errorMessage = SC_I18n_Ex::t('SC_INITIAL_ERROR_UNWRITABLE', array('T_CACHE_REALDIR' => CACHE_REALDIRIR));
 
         // 定数を設定
@@ -211,5 +208,5 @@
             }
         } else {
-            die(CACHE_REALDIR . '../mtb_constants_init.php が存在しません');
+            die(SC_I18n_Ex::t('SC_INITIAL_ERROR_NOT_FOUND', array('T_CACHE_REALDIR' => CACHE_REALDIR)));
         }
     }
Index: /branches/version-2_12-multilang/data/class/SC_SelectSql.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_SelectSql.php	(revision 21926)
+++ /branches/version-2_12-multilang/data/class/SC_SelectSql.php	(revision 22031)
@@ -152,5 +152,5 @@
         if ($arr) {
             foreach ($arr as $data) {
-                if ($data != '不明') {
+                if ($data != SC_I18n_Ex::t('SC_SELECTSQL_UNKNOWN')) {
                     $item .= " OR {$ItemStr} = ?";
                     $return[] = $data;
Index: /branches/version-2_12-multilang/data/class/SC_Query.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_Query.php	(revision 21981)
+++ /branches/version-2_12-multilang/data/class/SC_Query.php	(revision 22031)
@@ -1004,5 +1004,5 @@
      */
     function error($msg) {
-        $msg = "DB処理でエラーが発生しました。\n" . $msg;
+        $msg = SC_I18n_Ex::t('SC_QUERY_ERROR') . "\n" . $msg;
         if (!$this->force_run) {
             trigger_error($msg, E_USER_ERROR);
Index: /branches/version-2_12-multilang/data/class/SC_Product.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_Product.php	(revision 21935)
+++ /branches/version-2_12-multilang/data/class/SC_Product.php	(revision 22031)
@@ -251,5 +251,5 @@
 
             $classCats1 = array();
-            $classCats1['__unselected'] = '選択してください';
+            $classCats1['__unselected'] = SC_I18n_Ex::t('SC_PRODUCT_UNSELECTED');
 
             // 規格1クラス名
@@ -272,5 +272,5 @@
             $this->stock_find[$productId] = false;
             $classCategories = array();
-            $classCategories['__unselected']['__unselected']['name'] = '選択してください';
+            $classCategories['__unselected']['__unselected']['name'] = SC_I18n_Ex::t('SC_PRODUCT_UNSELECTED');
             $classCategories['__unselected']['__unselected']['product_class_id'] = $arrProductClasses[0]['product_class_id'];
             // 商品種別
@@ -287,5 +287,5 @@
 
                 $arrClassCats2['classcategory_id2'] = $classcategory_id2;
-                $arrClassCats2['name'] = $arrProductsClass['classcategory_name2'] . ($stock_find_class ? '' : ' (品切れ中)');
+                $arrClassCats2['name'] = $arrProductsClass['classcategory_name2'] . ($stock_find_class ? '' : ' '.SC_I18n_Ex::t('SC_PRODUCT_SOLDOUT'));
 
                 $arrClassCats2['stock_find'] = $stock_find_class;
@@ -297,5 +297,5 @@
                 if (!in_array($classcat_id1, $classCats1)) {
                     $classCats1[$classcategory_id1] = $arrProductsClass['classcategory_name1']
-                        . ($classcategory_id2 == 0 && !$stock_find_class ? ' (品切れ中)' : '');
+                        . ($classcategory_id2 == 0 && !$stock_find_class ? ' '.SC_I18n_Ex::t('SC_PRODUCT_SOLDOUT') : '');
                 }
 
@@ -328,5 +328,5 @@
                 $classCategories[$classcategory_id1]['#'] = array(
                     'classcategory_id2' => '',
-                    'name' => '選択してください',
+                    'name' => SC_I18n_Ex::t('SC_PRODUCT_UNSELECTED'),
                 );
                 $classCategories[$classcategory_id1]['#' . $classcategory_id2] = $arrClassCats2;
Index: /branches/version-2_12-multilang/data/class/SC_UploadFile.php
===================================================================
--- /branches/version-2_12-multilang/data/class/SC_UploadFile.php	(revision 21926)
+++ /branches/version-2_12-multilang/data/class/SC_UploadFile.php	(revision 22031)
@@ -96,5 +96,5 @@
 
         if (!($_FILES[$keyname]['size'] > 0)) {
-            $objErr->arrErr[$keyname] = '※ ' . $this->disp_name[$arrKeyname[$keyname]] . 'がアップロードされていません。<br />';
+            $objErr->arrErr[$keyname] = SC_I18n_Ex::t('SC_UPLOADFILE_NOT_UPLOADED', array('T_DISPNAME' => $this->disp_name[$arrKeyname[$keyname]]));
         } else {
             foreach ($this->keyname as $val) {
@@ -124,5 +124,5 @@
                                 GC_Utils_Ex::gfPrintLog($_FILES[$keyname]['name'].' -> '. $this->temp_dir . $this->temp_file[$cnt]);
                             } else {
-                                $objErr->arrErr[$keyname] = '※ ファイルのアップロードに失敗しました。<br />';
+                                $objErr->arrErr[$keyname] = SC_I18n_Ex::t('SC_UPLOADFILE_FAIL_TO_UPLOAD');
                                 GC_Utils_Ex::gfPrintLog('File Upload Error!: ' . $_FILES[$keyname]['name'].' -> '. $this->temp_dir . $this->temp_file[$cnt]);
                             }
@@ -142,5 +142,5 @@
         $arrKeyname = array_flip($this->keyname);
         if (!($_FILES[$keyname]['size'] > 0)) {
-            $objErr->arrErr[$keyname] = '※ ' . $this->disp_name[$arrKeyname[$keyname]] . 'がアップロードされていません。(ファイルがアップロードできない場合は、.htaccessファイルのphp_value upload_max_filesizeを調整してください)<br />';
+            $objErr->arrErr[$keyname] = SC_I18n_Ex::t('SC_UPLOADFILE_NOT_UPLOADED_WITH_NOTE', array('T_DISPNAME' => $this->disp_name[$arrKeyname[$keyname]]));
         } else {
             foreach ($this->keyname as $val) {
@@ -457,5 +457,5 @@
                         &&  $this->temp_file[$cnt] == ''
                     ) {
-                        $arrRet[$val] = '※ ' . $this->disp_name[$cnt] . 'がアップロードされていません。<br>';
+                        $arrRet[$val] = SC_I18n_Ex::t('SC_UPLOADFILE_NOT_UPLOADED', array('T_DISPNAME' => $this->disp_name[$cnt]));
                     }
                 }
Index: /branches/version-2_12-multilang/data/locales/ja.po
===================================================================
--- /branches/version-2_12-multilang/data/locales/ja.po	(revision 22030)
+++ /branches/version-2_12-multilang/data/locales/ja.po	(revision 22031)
@@ -3,5 +3,5 @@
 "Project-Id-Version: EC-CUBE Core\n"
 "POT-Creation-Date: 2012-05-07 13T_39+0900\n"
-"PO-Revision-Date: 2012-09-13 09:20+0900\n"
+"PO-Revision-Date: 2012-09-13 21:35+0900\n"
 "Last-Translator: MATSUDA Terutaka <matsudaterutaka@gmail.com>\n"
 "Language-Team: \n"
@@ -286,2 +286,47 @@
 msgstr "画像の出力に失敗しました。"
 
+msgid "SC_INITIAL_ERROR_UNWRITABLE"
+msgstr "<div style=\"color: #F00; font-weight: bold; background-color: #FEB; text-align: center\">T_CACHE_REALDIR にユーザ書込み権限(777等)を付与して下さい。</div>"
+
+msgid "SC_INITIAL_ERROR_NOT_FOUND"
+msgstr "T_CACHE_REALDIR../mtb_constants_init.php が存在しません"
+
+msgid "SC_PAGENAVI_BEFORE"
+msgstr "&lt;&lt;前へ"
+
+msgid "SC_PAGENAVI_NEXT"
+msgstr "次へ&gt;&gt;"
+
+msgid "SC_PRODUCT_UNSELECTED"
+msgstr "選択してください"
+
+msgid "SC_PRODUCT_SOLDOUT"
+msgstr "(品切れ中)"
+
+msgid "SC_QUERY_ERROR"
+msgstr "DB処理でエラーが発生しました。"
+
+msgid "SC_SELECTSQL_UNKNOWN"
+msgstr "不明"
+
+msgid "SC_SENDMAIL_FORWARD_COMPATIBILITY"
+msgstr "前方互換用メソッドが使用されました。"
+
+msgid "SC_SENDMAIL_UNKNOWN_BACKEND"
+msgstr "不明なバックエンド。[$backend = T_BACKEND]"
+
+msgid "SC_SENDMAIL_FAIL_TO_SEND"
+msgstr "メール送信に失敗しました。[T_MESSAGE]"
+
+msgid "SC_VIEW_RESPONSE_TIME"
+msgstr "処理時間: T_TIME秒"
+
+msgid "SC_UPLOADFILE_NOT_UPLOADED"
+msgstr "※ T_DISPNAMEがアップロードされていません。<br />"
+
+msgid "SC_UPLOADFILE_NOT_UPLOADED_WITH_NOTE"
+msgstr "※ T_DISPNAMEがアップロードされていません。(ファイルがアップロードできない場合は、.htaccessファイルのphp_value upload_max_filesizeを調整してください)<br />"
+
+msgid "SC_UPLOADFILE_FAIL_TO_UPLOAD"
+msgstr "※ ファイルのアップロードに失敗しました。<br />"
+