Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/mail/query.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/mail/query.tpl	(revision 22163)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/mail/query.tpl	(revision 22173)
@@ -39,5 +39,5 @@
         <tr>
             <th><!--{t string="tpl_207"}--></th>
-            <td><!--{$arrSearchData.search_customer_id|default:"(未指定)"|h}--></td>
+            <td><!--{$arrSearchData.search_customer_id|default_t:"tpl_337"|h}--></td>
         </tr>
         <tr>
@@ -51,9 +51,9 @@
         <tr>
             <th><!--{t string="tpl_208"}--></th>
-            <td><!--{$arrSearchData.search_name|default:"(未指定)"|h}--></td>
+            <td><!--{$arrSearchData.search_name|default_t:"tpl_337"|h}--></td>
         </tr>
         <tr>
             <th><!--{t string="tpl_210"}--></th>
-            <td><!--{$arrSearchData.search_kana|default:"(未指定)"|h}--></td>
+            <td><!--{$arrSearchData.search_kana|default_t:"tpl_337"|h}--></td>
         </tr>
         <tr>
@@ -83,13 +83,13 @@
         <tr>
             <th><!--{t string="tpl_108"}--></th>
-            <td><!--{$arrSearchData.search_email|default:"(未指定)"|h}--></td>
+            <td><!--{$arrSearchData.search_email|default_t:"tpl_337"|h}--></td>
         </tr>
         <tr>
             <th><!--{t string="tpl_213"}--></th>
-            <td><!--{$arrSearchData.search_email_mobile|default:"(未指定)"|h}--></td>
+            <td><!--{$arrSearchData.search_email_mobile|default_t:"tpl_337"|h}--></td>
         </tr>
         <tr>
             <th><!--{t string="tpl_214"}--></th>
-            <td><!--{$arrSearchData.search_tel|default:"(未指定)"|h}--></td>
+            <td><!--{$arrSearchData.search_tel|default_t:"tpl_337"|h}--></td>
         </tr>
         <tr>
@@ -140,9 +140,9 @@
         <tr>
             <th><!--{t string="tpl_343"}--></th>
-            <td><!--{$arrSearchData.search_buy_product_name|default:"(未指定)"|h}--></td>
+            <td><!--{$arrSearchData.search_buy_product_name|default_t:"tpl_337"|h}--></td>
         </tr>
         <tr>
             <th><!--{t string="tpl_344"}--></th>
-            <td><!--{$arrSearchData.search_buy_product_code|default:"(未指定)"|h}--></td>
+            <td><!--{$arrSearchData.search_buy_product_code|default_t:"tpl_337"|h}--></td>
         </tr>
         <tr>
@@ -158,9 +158,9 @@
         <tr>
             <th><!--{t string="tpl_325"}--></th>
-            <td><!--{$arrHtmlmail[$arrSearchData.search_htmlmail]|default:"(未指定)"|h}--></td>
+            <td><!--{$arrHtmlmail[$arrSearchData.search_htmlmail]|default_t:"tpl_337"|h}--></td>
         </tr>
         <tr>
             <th><!--{t string="tpl_326"}--></th>
-            <td><!--{$arrMailType[$arrSearchData.search_mail_type]|default:"(未指定)"|h}--></td>
+            <td><!--{$arrMailType[$arrSearchData.search_mail_type]|default_t:"tpl_337"|h}--></td>
         </tr>
     </table>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit_confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit_confirm.tpl	(revision 22163)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/customer/edit_confirm.tpl	(revision 22173)
@@ -106,5 +106,5 @@
             <tr>
                 <th><!--{t string="tpl_216"}--></th>
-                <td><!--{$arrJob[$arrForm.job]|default:"未登録"|h}--></td>
+                <td><!--{$arrJob[$arrForm.job]|default_t:"tpl_242"|h}--></td>
             </tr>
             <tr>
@@ -135,5 +135,5 @@
             <tr>
                 <th><!--{t string="tpl_225"}--></th>
-                <td><!--{$arrForm.note|h|nl2br|default:"未登録"}--></td>
+                <td><!--{$arrForm.note|h|nl2br|default_t:"tpl_242"}--></td>
             </tr>
             <tr>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/products/product_class_confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/products/product_class_confirm.tpl	(revision 22121)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/products/product_class_confirm.tpl	(revision 22173)
@@ -58,6 +58,6 @@
         <table class="list">
                 <tr>
-                <th><!--{t string="tpl_371"}-->(<!--{$arrClass[$class_id1]|default:"未選択"|h}-->)</th>
-                <th><!--{t string="tpl_374"}-->(<!--{$arrClass[$class_id2]|default:"未選択"|h}-->)</th>
+                <th><!--{t string="tpl_371"}-->(<!--{$arrClass[$class_id1]|default_t:"tpl_730"|h}-->)</th>
+                <th><!--{t string="tpl_374"}-->(<!--{$arrClass[$class_id2]|default_t:"tpl_730"|h}-->)</th>
                 <th><!--{t string="tpl_192"}--></th>
                 <th><!--{t string="tpl_557"}--></th>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/products/confirm.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/products/confirm.tpl	(revision 22134)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/products/confirm.tpl	(revision 22173)
@@ -155,5 +155,5 @@
             <th><!--{t string="tpl_561"}--></th>
             <td>
-                <!--{$arrForm.sale_limit|default:'無制限'|h}-->
+                <!--{$arrForm.sale_limit|default_t:"tpl_053"|h}-->
             </td>
         </tr>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/products/product_class.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/products/product_class.tpl	(revision 22130)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/products/product_class.tpl	(revision 22173)
@@ -195,6 +195,6 @@
         <tr>
             <th><input type="checkbox" onclick="fnAllCheck(this, 'input[name^=check]')" id="allCheck" /> <label for="allCheck"><br><!--{t string="tpl_488"}--></label></th>
-            <th><!--{t string="tpl_371"}--><br>(<!--{$arrClass[$class_id1]|default:"未選択"|h}-->)</th>
-            <th><!--{t string="tpl_374"}--><br>(<!--{$arrClass[$class_id2]|default:"未選択"|h}-->)</th>
+            <th><!--{t string="tpl_371"}--><br>(<!--{$arrClass[$class_id1]|default_t:"tpl_730"|h}-->)</th>
+            <th><!--{t string="tpl_374"}--><br>(<!--{$arrClass[$class_id2]|default_t:"tpl_730"|h}-->)</th>
             <th><!--{t string="tpl_192"}--></th>
             <th><!--{t string="tpl_557_1"}--></th>
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/order/edit.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/order/edit.tpl	(revision 22147)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/order/edit.tpl	(revision 22173)
@@ -131,9 +131,9 @@
         <tr>
             <th><!--{t string="tpl_361"}--></th>
-            <td><!--{$arrForm.payment_date.value|sfDispDBDate|default:"未入金"|h}--></td>
+            <td><!--{$arrForm.payment_date.value|sfDispDBDate|default_t:"tpl_443"|h}--></td>
         </tr>
         <tr>
             <th><!--{t string="tpl_233"}--></th>
-            <td><!--{$arrForm.commit_date.value|sfDispDBDate|default:"未発送"|h}--></td>
+            <td><!--{$arrForm.commit_date.value|sfDispDBDate|default_t:"tpl_234"|h}--></td>
         </tr>
     </table>
@@ -290,5 +290,5 @@
             </td>
             <td>
-                <!--{$arrForm.product_name.value[$product_index]|h}-->/<!--{$arrForm.classcategory_name1.value[$product_index]|default:"(なし)"|h}-->/<!--{$arrForm.classcategory_name2.value[$product_index]|default:"(なし)"|h}-->
+                <!--{$arrForm.product_name.value[$product_index]|h}-->/<!--{$arrForm.classcategory_name1.value[$product_index]|default_t:"tpl_729"|h}-->/<!--{$arrForm.classcategory_name2.value[$product_index]|default_t:"tpl_729"|h}-->
                 <input type="hidden" name="product_name[<!--{$product_index}-->]" value="<!--{$arrForm.product_name.value[$product_index]|h}-->" id="product_name_<!--{$product_index}-->" />
                 <input type="hidden" name="classcategory_name1[<!--{$product_index}-->]" value="<!--{$arrForm.classcategory_name1.value[$product_index]|h}-->" id="classcategory_name1_<!--{$product_index}-->" />
@@ -449,5 +449,5 @@
                                 <input type="hidden" name="<!--{$key2}-->[<!--{$shipping_index}-->][<!--{$item_index}-->]" value="<!--{$arrShipping[$key2][$item_index]|h}-->" />
                                 <input type="hidden" name="<!--{$key3}-->[<!--{$shipping_index}-->][<!--{$item_index}-->]" value="<!--{$arrShipping[$key3][$item_index]|h}-->" />
-                                <!--{$arrShipping[$key1][$item_index]|h}-->/<!--{$arrShipping[$key2][$item_index]|default:"(なし)"|h}-->/<!--{$arrShipping[$key3][$item_index]|default:"(なし)"|h}-->
+                                <!--{$arrShipping[$key1][$item_index]|h}-->/<!--{$arrShipping[$key2][$item_index]|default_t:"tpl_729"|h}-->/<!--{$arrShipping[$key3][$item_index]|default_t:"tpl_729"|h}-->
                             </td>
                             <td class="right">
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/order/index.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/order/index.tpl	(revision 22152)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/order/index.tpl	(revision 22173)
@@ -396,5 +396,5 @@
             <td class="center"><!--{$arrPayments[$payment_id]}--></td>
             <td class="right"><!--{$arrResults[cnt].total|number_format}--></td>
-            <td class="center"><!--{$arrResults[cnt].commit_date|sfDispDBDate|default:"未発送"}--></td>
+            <td class="center"><!--{$arrResults[cnt].commit_date|sfDispDBDate|default_t:"tpl_234"}--></td>
             <td class="center"><!--{$arrORDERSTATUS[$status]}--></td>
             <td class="center">
Index: /branches/version-2_12-multilang/data/Smarty/templates/admin/order/disp.tpl
===================================================================
--- /branches/version-2_12-multilang/data/Smarty/templates/admin/order/disp.tpl	(revision 22163)
+++ /branches/version-2_12-multilang/data/Smarty/templates/admin/order/disp.tpl	(revision 22173)
@@ -48,9 +48,9 @@
         <tr>
             <th><!--{t string="tpl_361"}--></th>
-            <td><!--{$arrForm.payment_date.value|sfDispDBDate|default:"未入金"}--></td>
+            <td><!--{$arrForm.payment_date.value|sfDispDBDate|default_t:"tpl_443"}--></td>
         </tr>
         <tr>
             <th><!--{t string="tpl_233"}--></th>
-            <td><!--{$arrForm.commit_date.value|sfDispDBDate|default:"未発送"}--></td>
+            <td><!--{$arrForm.commit_date.value|sfDispDBDate|default_t:"tpl_234"}--></td>
         </tr>
     </table>
@@ -132,5 +132,5 @@
             </td>
             <td>
-                <!--{$arrForm.product_name.value[$product_index]|h}-->/<!--{$arrForm.classcategory_name1.value[$product_index]|default:"(なし)"|h}-->/<!--{$arrForm.classcategory_name2.value[$product_index]|default:"(なし)"|h}-->
+                <!--{$arrForm.product_name.value[$product_index]|h}-->/<!--{$arrForm.classcategory_name1.value[$product_index]|default_t:"tpl_729"|h}-->/<!--{$arrForm.classcategory_name2.value[$product_index]|default_t:"tpl_729"|h}-->
             </td>
             <td align="center">
@@ -216,5 +216,5 @@
                                 <!--{assign var=key2 value="shipment_classcategory_name1"}-->
                                 <!--{assign var=key3 value="shipment_classcategory_name2"}-->
-                                <!--{$arrShipping[$key1][$item_index]|h}-->/<!--{$arrShipping[$key2][$item_index]|default:"(なし)"|h}-->/<!--{$arrShipping[$key3][$item_index]|default:"(なし)"|h}-->
+                                <!--{$arrShipping[$key1][$item_index]|h}-->/<!--{$arrShipping[$key2][$item_index]|default_t:"tpl_729"|h}-->/<!--{$arrShipping[$key3][$item_index]|default_t:"tpl_729"|h}-->
                             </td>
                             <td class="right">
@@ -280,5 +280,5 @@
                 <th><!--{t string="tpl_386"}--></th>
                 <td>
-                    <!--{$arrDelivTime[$arrShipping.time_id]|default:"指定無し"}-->
+                    <!--{$arrDelivTime[$arrShipping.time_id]|default_t:"tpl_388"}-->
                 </td>
             </tr>
Index: /branches/version-2_12-multilang/data/locales/ja.po
===================================================================
--- /branches/version-2_12-multilang/data/locales/ja.po	(revision 22163)
+++ /branches/version-2_12-multilang/data/locales/ja.po	(revision 22173)
@@ -3,5 +3,5 @@
 "Project-Id-Version: EC-CUBE Core\n"
 "POT-Creation-Date: 2012-05-07 13T_39+0900\n"
-"PO-Revision-Date: 2012-12-26 21:40+0900\n"
+"PO-Revision-Date: 2012-12-27 14:19+0900\n"
 "Last-Translator: MATSUDA Terutaka <matsudaterutaka@gmail.com>\n"
 "Language-Team: \n"
@@ -5843,4 +5843,10 @@
 msgstr "T_FIELD月"
 
+msgid "tpl_729"
+msgstr "(なし)"
+
+msgid "tpl_730"
+msgstr "未選択"
+
 msgid "-"
 msgstr "～"
Index: /branches/version-2_12-multilang/data/locales/en.po
===================================================================
--- /branches/version-2_12-multilang/data/locales/en.po	(revision 22163)
+++ /branches/version-2_12-multilang/data/locales/en.po	(revision 22173)
@@ -3,5 +3,5 @@
 "Project-Id-Version: EC-CUBE Core\n"
 "POT-Creation-Date: 2012-05-07 13T_39+0900\n"
-"PO-Revision-Date: 2012-12-26 21:40+0900\n"
+"PO-Revision-Date: 2012-12-27 16:44+0900\n"
 "Last-Translator: MATSUDA Terutaka <matsudaterutaka@gmail.com>\n"
 "Language-Team: \n"
@@ -5916,4 +5916,10 @@
 msgstr "T_FIELD月"
 
+msgid "tpl_729"
+msgstr "(None)"
+
+msgid "tpl_730"
+msgstr "Not selected"
+
 msgid "-"
 msgstr " - "