Index: /branches/version-2_12-multilang/html/user_data/packages/default/css/common.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/default/css/common.css	(revision 21619)
+++ /branches/version-2_12-multilang/html/user_data/packages/default/css/common.css	(revision 22176)
@@ -344,11 +344,13 @@
 }
 div#header_navi ul li {
-    display: block;
-    float: left;
-}
-div#header_navi ul li.mypage,
-div#header_navi ul li.entry {
-    margin-top: 6px;
-}
+    float: left;
+}
+div#header_navi ul li.mypage a {
+}
+div#header_navi ul li.entry a {
+}
+div#header_navi ul li.view_cart a {
+}
+
 
 
Index: /branches/version-2_12-multilang/html/user_data/packages/default_en/css/contents.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/default_en/css/contents.css	(revision 22157)
+++ /branches/version-2_12-multilang/html/user_data/packages/default_en/css/contents.css	(revision 22176)
@@ -37,6 +37,6 @@
 }
 
-.zipimg img {
-    vertical-align: middle;
+.zipimg {
+    padding: 5px 0;
 }
 
@@ -67,5 +67,5 @@
     float: left;
     background: url('../img/icon/ico_arrow_01.gif') no-repeat left ;
-    font-size: 120%;
+    font-size: 1.05em;
 }
 
@@ -89,5 +89,5 @@
     border-bottom: 1px solid #999;
     text-align: left;
-    font-size: 120%;
+    font-size: 1.05em;
 }
 
@@ -263,5 +263,5 @@
 div.listrightbloc h3 {
     font-weight: bold;
-    font-size: 120%;
+    font-size: 1.05em;
 }
 
@@ -611,5 +611,5 @@
     border: solid 1px #ffcc62;
     background: #fffaf0;
-    font-size: 120%;
+    font-size: 1.05em;
     text-align: center;
     line-height: 140%;
Index: /branches/version-2_12-multilang/html/user_data/packages/default_en/css/bloc.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/default_en/css/bloc.css	(revision 22157)
+++ /branches/version-2_12-multilang/html/user_data/packages/default_en/css/bloc.css	(revision 22176)
@@ -68,5 +68,5 @@
     padding-left: 15px;
     background: url("../img/icon/ico_arrow_03.gif") no-repeat left;
-    font-size: 90%;
+    font-size: 0.917em;
 }
 #container .block_outer .block_body dl.formlist span {
@@ -226,5 +226,4 @@
 #guide_area li {
     margin-bottom: 5px;
-    letter-spacing: -0.05em;
 }
 ul.button_like li {
@@ -272,5 +271,5 @@
     width: 90px;
     float: left;
-    font-size: 90%;
+    font-size: 0.917em;
 }
 #container .login_area dl.formlist dd {
@@ -283,5 +282,4 @@
 #container div#login_area .block_body .mini {
     margin-top: 5px;
-    letter-spacing: -0.01em;
 }
 
@@ -314,5 +312,5 @@
     width: 150px;
     margin: 0 auto 5px;
-    font-size: 90%;
+    font-size: 0.917em;
 }
 #calender_area table td {
@@ -332,5 +330,5 @@
     padding-left: 12px;
     background: url("../img/icon/ico_arrow_04.gif") no-repeat left;
-    font-size: 120%;
+    font-size: 1.05em;
 }
 #calender_area .off {
@@ -343,5 +341,5 @@
 #calender_area .information {
     margin-left: 10px;
-    font-size: 90%;
+    font-size: 0.917em;
 }
 
Index: /branches/version-2_12-multilang/html/user_data/packages/default_en/css/bloc_alpha.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/default_en/css/bloc_alpha.css	(revision 22157)
+++ /branches/version-2_12-multilang/html/user_data/packages/default_en/css/bloc_alpha.css	(revision 22176)
@@ -18,5 +18,4 @@
     height: 30px;
     background: #fef3d3;
-    letter-spacing: -0.075em;
 }
 #header_login_area ul.formlist {
@@ -30,5 +29,5 @@
     width: 155px;
     background: url("../img/common/ico_arrow_login.gif") no-repeat left;
-    font-size: 90%;
+    font-size: 0.917em;
 }
 #header_login_area ul.formlist li.password {
@@ -37,10 +36,10 @@
 #header_login_area ul.formlist li.login_memory {
     padding-right: 5px;
-    font-size: 90%;
+    font-size: 0.917em;
 }
 #header_login_area ul.formlist li.forgot {
     margin-top: 3px;
     padding-right: 5px;
-    font-size: 90%;
+    font-size: 0.917em;
 }
 #header_login_area ul.formlist li.btn {
@@ -53,6 +52,6 @@
     vertical-align: middle;
 }
-#header_login_area p.btn input[type=image] {
-    vertical-align: middle;
+#header_login_area .btn button {
+    padding: 2px 4px;
 }
 
Index: /branches/version-2_12-multilang/html/user_data/packages/default_en/css/common.css
===================================================================
--- /branches/version-2_12-multilang/html/user_data/packages/default_en/css/common.css	(revision 22157)
+++ /branches/version-2_12-multilang/html/user_data/packages/default_en/css/common.css	(revision 22176)
@@ -6,9 +6,7 @@
 body {
     color: #666;
-    font-family: Verdana,Arial,Helvetica,sans-serif;
+    font-family: Helvetica,Arial,sans-serif;
+	font-size: 75%;
     background-color: #f5f5f5;
-    font-size: 72.5%;
-    line-height: 150%;
-    letter-spacing: 0.1em;
 }
 
@@ -155,5 +153,5 @@
 }
 .normal_price {
-    font-size: 90%;
+    font-size: 0.917em;
 }
 .point {
@@ -179,5 +177,5 @@
 }
 .mini {
-    font-size: 90%;
+    font-size: 0.917em;
 }
 
@@ -279,5 +277,5 @@
     color: #f60;
     background: url("../img/background/line_01.gif") repeat-x left bottom;
-    font-size: 120%;
+    font-size: 1.05em;
 }
 
@@ -325,5 +323,5 @@
 ----------------------------------------------- */
 #site_description {
-    font-size: 90%;
+    font-size: 0.917em;
 }
 #logo_area h1 {
@@ -340,14 +338,108 @@
 div#header_navi {
     float: right;
-    width: 409px;
-    height: 38px;
+}
+div#header_navi ul {
+	padding-top: 17px;
 }
 div#header_navi ul li {
-    display: block;
     float: left;
-}
-div#header_navi ul li.mypage,
+	margin-bottom: 4px;
+}
+div#header_navi ul li:hover {
+	opacity: 0.75;
+	filter:alpha(opacity=75);
+}
+div#header_navi ul li:active {
+	opacity: 1;
+	filter:alpha(opacity=100);
+}
+div#header_navi ul li a {
+	display: inline-block;
+	font-weight: bold;
+	color: #fff;
+	padding: 8px 20px 8px 40px;
+	text-decoration: none !important;
+}
+div#header_navi ul li.mypage {
+	border-right: 1px solid #e9efb6;
+	border-radius: 4px 0 0 0;
+background: #C5D709; /* Old browsers */
+background: -moz-linear-gradient(top,  #C5D709 0%, #8CA710 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #C5D709 0%,#8CA710 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #C5D709 0%,#8CA710 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #C5D709 0%,#8CA710 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #C5D709 0%,#8CA710 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#C5D709', endColorstr='#8CA710',GradientType=0 ); /* IE6-9 */
+}
+div#header_navi ul li.mypage:active {
+background: #8CA710; /* Old browsers */
+background: -moz-linear-gradient(top,  #8CA710 0%, #87A010 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #8CA710 0%,#87A010 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #8CA710 0%,#87A010 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #8CA710 0%,#87A010 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #8CA710 0%,#87A010 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#8CA710', endColorstr='#87A010',GradientType=0 ); /* IE6-9 */
+}
+div#header_navi ul li.mypage a {
+	background: url(../img/button/header_arrow02.png) 20px center no-repeat;
+	text-shadow: 1px 1px 1px #8c9f0c;
+}
 div#header_navi ul li.entry {
-    margin-top: 6px;
+	border-right: 1px solid #e9efb6;
+	border-left: 1px solid #a3b610;
+background: #C5D709; /* Old browsers */
+background: -moz-linear-gradient(top,  #C5D709 0%, #8CA710 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #C5D709 0%,#8CA710 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #C5D709 0%,#8CA710 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #C5D709 0%,#8CA710 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #C5D709 0%,#8CA710 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#C5D709', endColorstr='#8CA710',GradientType=0 ); /* IE6-9 */
+}
+div#header_navi ul li.entry:active {
+	border-right: 1px solid #e9efb6;
+	border-left: 1px solid #a3b610;
+background: #8CA710; /* Old browsers */
+background: -moz-linear-gradient(top,  #8CA710 0%, #87A010 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #8CA710 0%,#87A010 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #8CA710 0%,#87A010 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #8CA710 0%,#87A010 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #8CA710 0%,#87A010 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#8CA710', endColorstr='#87A010',GradientType=0 ); /* IE6-9 */
+}
+div#header_navi ul li.entry a {
+	background: url(../img/button/header_arrow02.png) 20px center no-repeat;
+	text-shadow: 1px 1px 1px #8c9f0c;
+}
+
+div#header_navi ul li.view_basket {
+	border-left: 1px solid #D96700;
+	border-radius: 0 4px 0 0;
+background: #f90; /* Old browsers */
+background: -moz-linear-gradient(top,  #f90 0%, #E86800 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #f90 0%,#E86800 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #f90 0%,#E86800 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #f90 0%,#E86800 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #f90 0%,#E86800 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f90', endColorstr='#E86800',GradientType=0 ); /* IE6-9 */
+}
+div#header_navi ul li.view_basket:active {
+	border-left: 1px solid #D96700;
+	border-radius: 0 4px 0 0;
+background: #E86800; /* Old browsers */
+background: -moz-linear-gradient(top,  #E86800 0%, ##E36600 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #E86800 0%,##E36600 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #E86800 0%,##E36600 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #E86800 0%,##E36600 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #E86800 0%,##E36600 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#E86800', endColorstr='##E36600',GradientType=0 ); /* IE6-9 */
+}
+div#header_navi ul li.view_basket a {
+	position: relative;
+	padding-left: 50px;
+	text-shadow: 1px 1px 1px #d96f00;
+}
+div#header_navi ul li.view_basket a img {
+	position: absolute;
+	left: 18px; top: -5px;
 }
 
@@ -395,6 +487,6 @@
     padding-right: 10px;
     display: inline;
-}
-
+    vertical-align: bottom;
+}
 
 /* 完了メッセージ
@@ -408,5 +500,5 @@
     line-height: 150%;
     font-weight: bold;
-    font-size: 120%;
+    font-size: 1.05em;
 }
 div#complete_area .shop_information {
@@ -492,2 +584,251 @@
     height: 9px;
 }
+
+
+/* button CSS
+----------------------------------------------- */
+
+/* ----- button size */
+
+.side_column .btn button {
+	width: 85%;
+	padding: 5px;
+}
+
+.side_column .btn a {
+	width: 79%;
+	display: inline-block;
+	padding: 7px 5px;
+	margin: 0 auto;
+}
+
+.main_column .cart_area a,
+.main_column .review_btn a {
+	width: 150px;
+}
+
+.main_column .btn_area button,
+#window_area .btn_area button {
+	min-width: 140px;
+}
+.main_column a.bt01,.main_column a.bt02,.main_column a.bt03,.main_column a.bt04 {
+	display: inline-block;
+	padding: 7px 10px;
+	min-width: 130px;
+}
+.main_column .btn_area a.bt_wide,
+.main_column .btn_area button.bt_wide {
+	min-width: 220px;
+}
+
+/* ----- button white */
+.bt01 {
+    text-align: center;
+	padding: 6px 10px;
+	color: #666 !important;
+	border: 1px solid #ccc;
+    border-radius: 4px;
+    box-shadow: 0 0 1px 1px #fff inset;
+	text-shadow: 1px 1px 1px #fff;
+	cursor: pointer;
+background: #fbfbfb; /* Old browsers */
+background: -moz-linear-gradient(top,  #fbfbfb 0%, #e6e6e6 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #fbfbfb 0%,#e6e6e6 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #fbfbfb 0%,#e6e6e6 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #fbfbfb 0%,#e6e6e6 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #fbfbfb 0%,#e6e6e6 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fbfbfb', endColorstr='#e6e6e6',GradientType=0 ); /* IE6-9 */
+}
+.bt01:not(:target){
+	filter: none;
+}/* for IE9 gradient & border-radius */
+
+.bt01:hover {
+	opacity: 0.75;
+	filter:alpha(opacity=75);
+	text-decoration: none !important;
+}
+.bt01:active {
+	opacity: 1;
+	filter:alpha(opacity=100);
+	text-decoration: none !important;
+background: #e6e6e6; /* Old browsers */
+background: -moz-linear-gradient(top,  #e6e6e6 0%, #e0e0e0 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #e6e6e6 0%,#e0e0e0 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #e6e6e6 0%,#e0e0e0 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #e6e6e6 0%,#e0e0e0 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #e6e6e6 0%,#e0e0e0 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#e6e6e6', endColorstr='#e0e0e0',GradientType=0 ); /* IE6-9 */
+}
+.bt01:active:not(:target){
+	filter: none;
+}/* for IE9 gradient & border-radius */
+
+.bt01:disabled,.bt01:disabled:hover,.bt01:disabled:active {
+	opacity: 1;
+	filter:alpha(opacity=100);
+	cursor: default;
+background: #e9e9e9; /* Old browsers */
+background: -moz-linear-gradient(top,  #e9e9e9 0%, #c4c4c4 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #e9e9e9 0%,#c4c4c4 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #e9e9e9 0%,#c4c4c4 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #e9e9e9 0%,#c4c4c4 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #e9e9e9 0%,#c4c4c4 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#e9e9e9', endColorstr='#c4c4c4',GradientType=0 ); /* IE6-9 */
+}
+.bt01:disabled:not(:target),.bt01:disabled:hover:not(:target),.bt01:disabled:active:not(:target){
+	filter: none;
+}/* for IE9 gradient & border-radius */
+
+.favorite_btn span.bt01,.favorite_btn span.bt01:hover,.favorite_btn span.bt01:active {
+	opacity: 1;
+	filter:alpha(opacity=100);
+	display: inline-block;
+	min-width: 150px;
+	cursor: default;
+background: #e9e9e9; /* Old browsers */
+background: -moz-linear-gradient(top,  #e9e9e9 0%, #c4c4c4 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #e9e9e9 0%,#c4c4c4 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #e9e9e9 0%,#c4c4c4 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #e9e9e9 0%,#c4c4c4 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #e9e9e9 0%,#c4c4c4 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#e9e9e9', endColorstr='#c4c4c4',GradientType=0 ); /* IE6-9 */
+}
+
+.main_column .cart_area .favorite_btn .bt01,
+.main_column .review_btn .bt01,
+.main_column .addbtn .bt01,
+.main_column .add_multiple .bt01,
+.zipimg .bt01 {
+	padding: 4px 10px !important;
+}
+
+/* ----- button green */
+.bt02 {
+    text-align: center;
+	padding: 6px 10px;
+	color: #fff !important;
+	border: none;
+    border-radius: 4px;
+	text-shadow: 1px 1px 1px #67770B;
+	cursor: pointer;
+background: #c0d209; /* Old browsers */
+background: -moz-linear-gradient(top,  #c0d209 0%, #91ab10 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #c0d209 0%,#91ab10 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #c0d209 0%,#91ab10 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #c0d209 0%,#91ab10 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #c0d209 0%,#91ab10 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#c0d209', endColorstr='#91ab10',GradientType=0 ); /* IE6-9 */
+}
+.bt02:not(:target){
+	filter: none;
+}/* for IE9 gradient & border-radius */
+
+.bt02:hover {
+	opacity: 0.75;
+	filter:alpha(opacity=75);
+	text-decoration: none !important;
+}
+.bt02:active {
+	opacity: 1;
+	filter:alpha(opacity=100);
+	text-decoration: none !important;
+background: #91ab10; /* Old browsers */
+background: -moz-linear-gradient(top,  #91ab10 0%, #7B9210 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #91ab10 0%,#7B9210 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #91ab10 0%,#7B9210 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #91ab10 0%,#7B9210 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #91ab10 0%,#7B9210 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#91ab10', endColorstr='#7B9210',GradientType=0 ); /* IE6-9 */
+}
+.bt02:active:not(:target){
+	filter: none;
+}/* for IE9 gradient & border-radius */
+
+
+/* ----- button orange */
+.bt03 {
+    text-align: center;
+	padding: 6px 10px;
+	color: #fff !important;
+	border: none;
+    border-radius: 4px;
+	text-shadow: 1px 1px 1px #A83D09;
+	cursor: pointer;
+background: #fd9748; /* Old browsers */
+background: -moz-linear-gradient(top,  #fd9748 0%, #de4402 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #fd9748 0%,#de4402 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #fd9748 0%,#de4402 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #fd9748 0%,#de4402 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #fd9748 0%,#de4402 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fd9748', endColorstr='#de4402',GradientType=0 ); /* IE6-9 */
+}
+.bt03:not(:target){
+	filter: none;
+}/* for IE9 gradient & border-radius */
+
+
+.bt03:hover {
+	opacity: 0.75;
+	filter:alpha(opacity=75);
+	text-decoration: none !important;
+}
+.bt03:active {
+	opacity: 1;
+	filter:alpha(opacity=100);
+	text-decoration: none !important;
+background: #de4402; /* Old browsers */
+background: -moz-linear-gradient(top,  #de4402 0%, #dd4200 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #de4402 0%,#dd4200 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #de4402 0%,#dd4200 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #de4402 0%,#dd4200 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #de4402 0%,#dd4200 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#de4402', endColorstr='#dd4200',GradientType=0 ); /* IE6-9 */
+}
+.bt03:active:not(:target){
+	filter: none;
+}/* for IE9 gradient & border-radius */
+
+
+/* ----- button gray */
+.bt04 {
+    text-align: center;
+	padding: 6px 10px;
+	color: #fff !important;
+	border: none;
+    border-radius: 4px;
+	text-shadow: 1px 1px 1px #707070;
+	cursor: pointer;
+background: #a9a9a9; /* Old browsers */
+background: -moz-linear-gradient(top,  #a9a9a9 0%, #767676 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #a9a9a9 0%,#767676 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #a9a9a9 0%,#767676 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #a9a9a9 0%,#767676 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #a9a9a9 0%,#767676 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#a9a9a9', endColorstr='#767676',GradientType=0 ); /* IE6-9 */
+}
+.bt04:not(:target){
+	filter: none;
+}/* for IE9 gradient & border-radius */
+
+.bt04:hover {
+	opacity: 0.75;
+	filter:alpha(opacity=75);
+	text-decoration: none !important;
+}
+.bt04:active {
+	opacity: 1;
+	filter:alpha(opacity=100);
+	text-decoration: none !important;
+background: #767676; /* Old browsers */
+background: -moz-linear-gradient(top,  #767676 0%, #707070 100%); /* FF3.6+ */
+background: -webkit-linear-gradient(top,  #767676 0%,#707070 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(top,  #767676 0%,#707070 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(top,  #767676 0%,#707070 100%); /* IE10+ */
+background: linear-gradient(to bottom,  #767676 0%,#707070 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#a9a9a9', endColorstr='#707070',GradientType=0 ); /* IE6-9 */
+}
+.bt04:active:not(:target){
+	filter: none;
+}/* for IE9 gradient & border-radius */
+